import numpy as np
import cv2

# this file is in the opencv/data/haarcascades/ directory
face_cascade = cv2.CascadeClassifier('haarcascade_frontalface_default.xml')
cap = cv2.VideoCapture(0)

while(True):
    ret, frame = cap.read()
    gray = cv2.resize(cv2.cvtColor(frame, cv2.COLOR_BGR2GRAY), (640,360))
    faces = face_cascade.detectMultiScale(gray, 1.3, 5)
    
    for (x,y,w,h) in faces:
        cv2.rectangle(frame,(2*x,2*y),(2*(x+w),2*(y+h)),(255,0,0),2)
    
    cv2.imshow('frame',frame)
    #cv2.imwrite("cascade.png", frame);
    if cv2.waitKey(1) > 0:
        break
    prev = next;
cap.release()
cv2.destroyAllWindows()
