import numpy as np
import cv2

cap = cv2.VideoCapture(0)

while(True):
    ret, frame = cap.read()
    gray = cv2.cvtColor(frame, cv2.COLOR_BGR2GRAY)
    gauss = cv2.GaussianBlur(gray, (21,21), 0)
    cv2.imshow('frame',gauss)
    if cv2.waitKey(1) > 0:
        break
cap.release()
cv2.destroyAllWindows()
