import numpy as np
import cv2

cap = cv2.VideoCapture(0)
while(True):
    ret, frame = cap.read()
    gray = cv2.cvtColor(frame, cv2.COLOR_BGR2GRAY)
    frame = cv2.cvtColor(gray, cv2.COLOR_GRAY2BGR)
    corners = cv2.goodFeaturesToTrack(gray,50,0.01,10)
    corners = np.int0(corners)

    for i in corners:
        x,y = i.ravel()
        cv2.circle(frame,(x,y),3,255,-1)
    cv2.imshow('frame',frame)
        
    if cv2.waitKey(1) > 0:
        break
cap.release()
cv2.destroyAllWindows()



