import numpy as np
import cv2

cap = cv2.VideoCapture(0)
sift = cv2.SIFT()
while(True):
    ret, frame = cap.read()
    gray = cv2.cvtColor(frame, cv2.COLOR_BGR2GRAY)
    kp = sift.detect(gray,None);
    cv2.imshow('frame',cv2.drawKeypoints(gray,kp))
        
    if cv2.waitKey(1) > 0:
        break
cap.release()
cv2.destroyAllWindows()
